
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';

foreach ($this->products as $type => $productList ) {

if (count($productList) > 0) {

$productTitle = JText::_('COM_VIRTUEMART_'.$type.'_PRODUCT');

$productsCount = count($productList);
$i = 0;

?>
    
    
        
    
	<div data-slider-id="products_slider" class=" bd-productsslider-1" data-elements-per-row="<?php echo VmConfig::get ( 'homepage_products_per_row', 3 ); ?>">
	    <div class="bd-container-inner">
            <div class=" bd-block-5">
                <div class=" bd-container-46">
                    <h4><?php echo $productTitle; ?></h4>
                </div>
                <div class=" bd-grid-26">
                    <div class="separated-grid row">
                        <div class="carousel slide<?php if ($productsCount <= 2): ?> single<?php endif; ?>">
                            <div class="carousel-inner">
                            <?php foreach ( $productList as $product ): ?>
                                <?php if ($i % 2 == 0): ?>
                                    <div class="item<?php if ($i == 0): ?> active<?php endif ?>">
                                <?php endif; ?>
                                <?php
                                //create product title decorator object
                                $productTitleDecorator = new stdClass();
                                $productTitleDecorator->link = $product->link;
                                $productTitleDecorator->name = $product->product_name;
                                //create product price decorator object
                                $productPriceDecorator = new stdClass();
                                $productPriceDecorator->show_prices = VmConfig::get ( 'show_prices' );
                                $productPriceDecorator->currency = $this->currency;
                                $productPriceDecorator->prices = $product->prices;
                                $productPriceDecorator->imagesExists = isset($product->images) ? true : false;
                                $productPriceDecorator->image = $productPriceDecorator->imagesExists ? $product->images[0] : null;
                                //create product image decorator object
                                $productImageDecorator = new stdClass();
                                $productImageDecorator->imagesExists = isset($product->images) ? true : false;
                                $productImageDecorator->image = $productImageDecorator->imagesExists ? $product->images[0] : null;
                                $productImageDecorator->link = $product->link;
                                //create product buy decorator object
                                $productBuyDecorator = new stdClass();
                                $productBuyDecorator->prices = $product->prices;
                                $productBuyDecorator->min_order_level = isset($product->min_order_level) ? $product->min_order_level : null;
                                $productBuyDecorator->orderable = $product->orderable;
                                $productBuyDecorator->link = $product->link;
                                $productBuyDecorator->name = $product->product_name;
                                $productBuyDecorator->id = $product->virtuemart_product_id;
                                //cretae products items collection
                                $productItems = new stdClass();
                                $productItems->productTitle = $productTitleDecorator;
                                $productItems->productPrice = $productPriceDecorator;
                                $productItems->productImage = $productImageDecorator;
                                $productItems->productBuy   = $productBuyDecorator;
                                ?>
                                
                                <?php
                                    $itemClass = 'separated-item-2 col-sm-24 grid';
                                    $itemClass = preg_replace('/col-sm-\d+/', 'col-sm-' . round(24 / min(24, max(1, 2))), $itemClass);
                                ?>
                                <div class="<?php echo $itemClass; ?>">
                                    <div class=" bd-griditem-2">
                                        <?php 
    renderTemplateFromIncludes('product_image_2', array($productItems));
?>
	
		<?php 
    // todo context can be self product
    renderTemplateFromIncludes('product_sale_1', array($productItems));
?>
	
		<?php 
    // todo context can be self product
    renderTemplateFromIncludes('product_outofstock_1', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_title_3', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_price_2', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_buy_1', array($productItems));
?>
                                    </div>
                                </div>
                            <?php if (($i + 1) % 2 == 0 || $i == $productsCount - 1): ?>
                                </div>
                            <?php endif ?>
                            <?php $i++ ?>
                            <?php endforeach; ?>
                            </div>
                    <?php if ($productsCount > 2): ?>
                        <div class="left-button">
    <a class=" bd-carousel-1" href="#">
        <span class=" bd-icon-12"></span>
    </a>
</div>

<div class="right-button">
    <a class=" bd-carousel-1" href="#">
        <span class=" bd-icon-12"></span>
    </a>
</div>
                    <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
		</div>
	</div>
	
<?php }
} ?>
<?php } ?>
