
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php

if (!defined('_DESIGNER_FUNCTIONS'))
  require_once dirname(__FILE__) . str_replace('/', DIRECTORY_SEPARATOR, '/../functions.php');

function pagination_list_render($list)
{
	$activePaginator = $GLOBALS['designer_settings']['active_paginator'];
    if ('specific' === $activePaginator) {
        return $list;
    } else {
        echo renderTemplateFromIncludes('pagination_list_render_' . $activePaginator, array($list),
            'common' == $activePaginator ? 'prototypes' : 'includes');
	} 
}
?>
<?php } ?>
